comonad-4.0: Comonads

Portability | portable
Stability | provisional
Maintainer | Edward Kmett <ekmett@gmail.com>
Safe Haskell | Trustworthy

Control.Comonad.Trans.Class

Description

# Documentation

class ComonadTrans t where Source

Methods

lower :: Comonad w => t w a -> w aSource

Instances

ComonadTrans IdentityT |
ComonadTrans (EnvT e) |
ComonadTrans (StoreT s) |
Monoid m => ComonadTrans (TracedT m) |